# Working with MVC

## [Views](https://docs.umbraco.com/umbraco-cms/reference/templating/mvc/views)

Working with MVC Views and Razor syntax in Umbraco

[See some quick examples here](https://docs.umbraco.com/umbraco-cms/reference/templating/mvc/examples)

## [Partial Views](https://docs.umbraco.com/umbraco-cms/reference/templating/mvc/partial-views)

Documentation covering how to use Partial Views. This documentation relates to using native MVC partial views within Umbraco.

## [ViewComponents](https://docs.umbraco.com/umbraco-cms/reference/templating/mvc/viewcomponents)

Using MVC Child Actions in Umbraco

## [Querying](https://docs.umbraco.com/umbraco-cms/reference/templating/mvc/querying)

How to query for published data in your Views


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/reference/templating/mvc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
